Bullet Collision Detection & Physics Library: Bullet::btSliderConstraintDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btSliderConstraintDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btSliderConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
double | m_linearUpperLimit
double | m_linearLowerLimit
double | m_angularUpperLimit
double | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 1206 of file bullet.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

double Bullet::btSliderConstraintDoubleData::m_angularLowerLimit

Definition at line 1215 of file bullet.h.

## ◆ m_angularUpperLimit

double Bullet::btSliderConstraintDoubleData::m_angularUpperLimit

Definition at line 1214 of file bullet.h.

## ◆ m_linearLowerLimit

double Bullet::btSliderConstraintDoubleData::m_linearLowerLimit

Definition at line 1213 of file bullet.h.

## ◆ m_linearUpperLimit

double Bullet::btSliderConstraintDoubleData::m_linearUpperLimit

Definition at line 1212 of file bullet.h.

## ◆ m_rbAFrame

btTransformDoubleData Bullet::btSliderConstraintDoubleData::m_rbAFrame

Definition at line 1210 of file bullet.h.

## ◆ m_rbBFrame

btTransformDoubleData Bullet::btSliderConstraintDoubleData::m_rbBFrame

Definition at line 1211 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData Bullet::btSliderConstraintDoubleData::m_typeConstraintData

Definition at line 1209 of file bullet.h.

## ◆ m_useLinearReferenceFrameA

int Bullet::btSliderConstraintDoubleData::m_useLinearReferenceFrameA

Definition at line 1216 of file bullet.h.

## ◆ m_useOffsetForConstraintFrame

int Bullet::btSliderConstraintDoubleData::m_useOffsetForConstraintFrame

Definition at line 1217 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h